#!/usr/bin/env python3

import distutils
import DistUtilsExtra.auto
import os


class install_pylock(distutils.command.install.install):
    def run(self):
        distutils.dir_util.copy_tree('etc', os.path.join(self.root, 'etc'),
                                     preserve_times=0, preserve_symlinks=1, verbose=1)

        distutils.command.install.install.run(self)

DistUtilsExtra.auto.setup(
    name = 'pylock',
    version = '1',

    data_files = [],

    packages = ['pylock'],
    package_data = {
        'pylock': ['data/unlock.ui', 'data/bg.svg'],
    },

    cmdclass = {
        'install': install_pylock,
    },
)
